Subject: Re: Network oops

From: george anzinger <[email-masked]>
Date: Fri, 21 Jun 2002 07:16:24 -0700

"David S. Miller" wrote:
> 
> I don't understand, you've completely turned the preemption model of
> the kernel upside down and you want _US_ to debug this for you?

You could look at it this way :)

On the other hand, I prefer to think of the linux community as a group of folks working on making one of the best OSs on the planet even better.  Its adoption by more and more companies attests to its place in the world.  We who work on it, IMHO, should cooperate with each other in our efforts to make the system even better.  Sure we will disagree about some of the things others are doing and thus the need for some central control of the system.  For this we are indebted to Linus.  And we may not have time to spend working on the system when others would most like us to, but that is the nature
of life and we should respect others in this regard.

So while I would very much like your help, I understand that you may be busy with other things at this time and not have the time.  Still, I must ask, just as others ask of me.
> 
> This is a lot of work, work I personally don't have time for.

I can understand and accept that.

> It requires a full audit of the networking in the new preemption
> environment.

Any pointers on what to look for would be welcome.

-- 
George Anzinger   [email-masked]
High-res-timers:  http://sourceforge.net/projects/high-res-timers/
Real time sched:  http://sourceforge.net/projects/rtsched/
Preemption patch: http://www.kernel.org/pub/linux/kernel/people/rml